# CO²-Ampel.
# S. Foelz

##Features:
* CO²-Sensor MH-Z19B
* RGB-LED WS2812B
 optional:
* OLED-Display mit SSD1306 0,66" für Wemos D1 mini (64x48)
* OLED-Display mit SH1106
* Kalibrierungstaste
* nutzbar mit ESP8266 (NodeMCU und kompatible Boards)Kalibirierungstaste

##ToDo's:
* Optimierungen (eigentlich immer)
* RTC-Speicher verwenden
*

##Dateien in diesem Verzeichnis:
CO2-Ampel.ino	-	Sourcecode der eigentlichen Firmware
Fonts.h			Fonts für die OLEDs
Resdme.md		diese Datei

## Benötigte Software (in Klammern getestete Version und die Art der Lizenz):
* [Arduino IDE](https://www.arduino.cc/en/Main/Software)
* [ESP8266 für Arduino](http://arduino.esp8266.com/stable/package_esp8266com_index.json)
* [Adafruit_NeoPixel]
 optional:
* [ESP8266_and_ESP32_Oled_Driver_for_SSD1306_display](https://github.com/squix78/esp8266-oled-ssd1306)

### Einstellungen Arduino IDE

* Board: LOLIN (WEMOS) D1 R2 & mini
* CPU Frequency: 80MHz
* Flash Size: 4M (no SPIFFS)
Ab "ESP für Arduino 2.4":
* Debug Port: Disabled
* Debug Level: keine
* lwIP Variant: v2 Lower Memory
* Erase Flash: Only Sketch

Installierbar über Arduino IDE (Menü Sketch -> Bibliothek einbinden -> Bibliotheken verwalten):
* [ESP8266 für Arduino](http://arduino.esp8266.com/stable/package_esp8266com_index.json)
* [Adafruit_NeoPixel]
* [ESP8266 and ESP32 Oled driver for SSD1306 display](https://github.com/squix78/esp8266-oled-ssd1306)
